<h1 style="text-align: center;">PRECISE EDITOR</h1>
<h2 style="text-align: center;">Mod for Kerbal Space Program</h2>

### Introduction
The KSP craft editor is an approximative tool where the part's position and angle are not displayed anywhere so we have to rely on primitive techniques like counting the number of grid snaps or placing parts "by eye". While this is the Kerbal spirit, this become annoying for the serious craft builder. So this mod is intended to remedy that and offer a more accurate alternative part placement method than mouse and gizmos. This might change your craft building experience !

### Installation
Delete any existing PreciseEditor directory in your KSP GameData directory.
Download the zip file and unzip it in your KSP GameData directory.

### Features
- Set part position or rotation exact value.
- Increment / decrement position or rotation by a certain value.
- All part transformations in absolute or local mode.
- Automatically update all symmetry counterparts, struts and fuel lines.
- Show the precise location of the center of mass, center of lift and center of thrust.
- Set the attachment rules. Attach any part to any part.
- Units for position are in meters with 4 decimals of precision so 0.0001 is 1/10th of a millimeter.
- Units for rotation are in degrees and angles are [Euler angles](https://en.wikipedia.org/wiki/Euler_angles)
- Show the position and size of the part collider bounds.
- Show the distance between 2 parts or their colliders to help with the creation of kerbal mechanical devices !

### Keys
- Press P while the mouse is over a part show the Part Edition Window.
- Click the Precise Editor icon to show the Vessel Window.
- Press Escape to close all Precise Editor windows.